KeepAliveMode (Gradle API 7.6.3)

Package org.gradle.language.scala.tasks

## Enum KeepAliveMode

- java.lang.Object
- - java.lang.Enum<KeepAliveMode>
  - - org.gradle.language.scala.tasks.KeepAliveMode

- All Implemented Interfaces:
    `java.io.Serializable`, `java.lang.Comparable<KeepAliveMode>`

      @Incubating
      public enum KeepAliveMode
      extends java.lang.Enum<KeepAliveMode>

  Describes whether a Scala compiler daemon should be reused.
  Since:
    7.6

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `DAEMON` | The compiler is kept alive across builds.
    `SESSION` | The compiler is kept alive for a session.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static KeepAliveMode` | `valueOf​(java.lang.String name)` | Returns the enum constant of this type with the specified name.
    `static KeepAliveMode[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### SESSION

          public static final KeepAliveMode SESSION

      The compiler is kept alive for a session.

    - #### DAEMON

          public static final KeepAliveMode DAEMON

      The compiler is kept alive across builds.

  - ### Method Detail

    - #### values

          public static KeepAliveMode[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (KeepAliveMode c : KeepAliveMode.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static KeepAliveMode valueOf​(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null